var HOWTOADD =
[
    [ "How to add constraint handlers", "CONS.html", [
      [ "Properties of a Constraint Handler", "CONS.html#CONS_PROPERTIES", [
        [ "Fundamental Constraint Handler properties", "CONS.html#CONS_FUNDAMENTALPROPERTIES", null ],
        [ "Optional Constraint Handler properties", "CONS.html#CONS_ADDITIONALPROPERTIES", null ]
      ] ],
      [ "Constraint Data and Constraint Handler Data", "CONS.html#CONS_DATA", null ],
      [ "Interface Methods", "CONS.html#CONS_INTERFACE", null ],
      [ "Callback methods of Constraint handlers", "CONS.html#CONS_CALLBACKS", null ],
      [ "Fundamental Callback Methods", "CONS.html#CONS_FUNDAMENTALCALLBACKS", [
        [ "CONSCHECK", "CONS.html#CONSCHECK", null ],
        [ "CONSENFOLP", "CONS.html#CONSENFOLP", null ],
        [ "CONSENFOPS", "CONS.html#CONSENFOPS", null ],
        [ "CONSENFORELAX", "CONS.html#CONSENFORELAX", null ],
        [ "CONSLOCK", "CONS.html#CONSLOCK", null ]
      ] ],
      [ "Additional Callback Methods", "CONS.html#CONS_ADDITIONALCALLBACKS", [
        [ "CONSFREE", "CONS.html#CONSFREE", null ],
        [ "CONSHDLRCOPY", "CONS.html#CONSHDLRCOPY", null ],
        [ "CONSINIT", "CONS.html#CONSINIT", null ],
        [ "CONSEXIT", "CONS.html#CONSEXIT", null ],
        [ "CONSINITPRE", "CONS.html#CONSINITPRE", null ],
        [ "CONSEXITPRE", "CONS.html#CONSEXITPRE", null ],
        [ "CONSINITSOL", "CONS.html#CONSINITSOL", null ],
        [ "CONSEXITSOL", "CONS.html#CONSEXITSOL", null ],
        [ "CONSDELETE", "CONS.html#CONSDELETE", null ],
        [ "CONSTRANS", "CONS.html#CONSTRANS", null ],
        [ "CONSINITLP", "CONS.html#CONSINITLP", null ],
        [ "CONSSEPALP", "CONS.html#CONSSEPALP", null ],
        [ "CONSSEPASOL", "CONS.html#CONSSEPASOL", null ],
        [ "CONSPROP", "CONS.html#CONSPROP", null ],
        [ "CONSRESPROP", "CONS.html#CONSRESPROP", null ],
        [ "CONSPRESOL", "CONS.html#CONSPRESOL", null ],
        [ "CONSACTIVE", "CONS.html#CONSACTIVE", null ],
        [ "CONSDEACTIVE", "CONS.html#CONSDEACTIVE", null ],
        [ "CONSENABLE", "CONS.html#CONSENABLE", null ],
        [ "CONSDISABLE", "CONS.html#CONSDISABLE", null ],
        [ "CONSPRINT", "CONS.html#CONSPRINT", null ],
        [ "CONSCOPY", "CONS.html#CONSCOPY", null ],
        [ "CONSPARSE", "CONS.html#CONSPARSE", null ],
        [ "CONSDELVARS", "CONS.html#CONSDELVARS", null ],
        [ "CONSGETVARS", "CONS.html#CONSGETVARS", null ],
        [ "CONSGETNVARS", "CONS.html#CONSGETNVARS", null ],
        [ "CONSGETDIVEBDCHGS", "CONS.html#CONSGETDIVEBDCHGS", null ]
      ] ],
      [ "Further documentation", "CONS.html#CONS_FURTHERINFO", null ]
    ] ],
    [ "How to add variable pricers", "PRICER.html", [
      [ "Properties of a Pricer", "PRICER.html#PRICER_PROPERTIES", null ],
      [ "Pricer Data", "PRICER.html#PRICER_DATA", null ],
      [ "Interface Methods", "PRICER.html#PRICER_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Pricer", "PRICER.html#PRICER_FUNDAMENTALCALLBACKS", [
        [ "PRICERREDCOST", "PRICER.html#PRICERREDCOST", null ],
        [ "PRICERFARKAS", "PRICER.html#PRICERFARKAS", null ]
      ] ],
      [ "Additional Callback Methods of a Pricer", "PRICER.html#PRICER_ADDITIONALCALLBACKS", [
        [ "PRICERFREE", "PRICER.html#PRICERFREE", null ],
        [ "PRICERCOPY", "PRICER.html#PRICERCOPY", null ],
        [ "PRICERINIT", "PRICER.html#PRICERINIT", null ],
        [ "PRICEREXIT", "PRICER.html#PRICEREXIT", null ],
        [ "PRICERINITSOL", "PRICER.html#PRICERINITSOL", null ],
        [ "PRICEREXITSOL", "PRICER.html#PRICEREXITSOL", null ]
      ] ],
      [ "Further remarks", "PRICER.html#PRICER_REMARKS", null ]
    ] ],
    [ "How to add presolvers", "PRESOL.html", [
      [ "Properties of a Presolver", "PRESOL.html#PRESOL_PROPERTIES", null ],
      [ "Presolver Data", "PRESOL.html#PRESOL_DATA", null ],
      [ "Interface Methods", "PRESOL.html#PRESOL_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Presolver", "PRESOL.html#PRESOL_FUNDAMENTALCALLBACKS", [
        [ "PRESOLEXEC", "PRESOL.html#PRESOLEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Presolver", "PRESOL.html#PRESOL_ADDITIONALCALLBACKS", [
        [ "PRESOLFREE", "PRESOL.html#PRESOLFREE", null ],
        [ "PRESOLINIT", "PRESOL.html#PRESOLINIT", null ],
        [ "PRESOLCOPY", "PRESOL.html#PRESOLCOPY", null ],
        [ "PRESOLEXIT", "PRESOL.html#PRESOLEXIT", null ],
        [ "PRESOLINITPRE", "PRESOL.html#PRESOLINITPRE", null ],
        [ "PRESOLEXITPRE", "PRESOL.html#PRESOLEXITPRE", null ]
      ] ]
    ] ],
    [ "How to add separators", "SEPA.html", [
      [ "Properties of a Separator", "SEPA.html#SEPA_PROPERTIES", null ],
      [ "Separator Data", "SEPA.html#SEPA_DATA", null ],
      [ "Interface Methods", "SEPA.html#SEPA_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Separator", "SEPA.html#SEPA_FUNDAMENTALCALLBACKS", [
        [ "SEPAEXECLP", "SEPA.html#SEPAEXECLP", null ],
        [ "SEPAEXECSOL", "SEPA.html#SEPAEXECSOL", null ]
      ] ],
      [ "Additional Callback Methods of a Separator", "SEPA.html#SEPA_ADDITIONALCALLBACKS", [
        [ "SEPAFREE", "SEPA.html#SEPAFREE", null ],
        [ "SEPACOPY", "SEPA.html#SEPACOPY", null ],
        [ "SEPAINIT", "SEPA.html#SEPAINIT", null ],
        [ "SEPAEXIT", "SEPA.html#SEPAEXIT", null ],
        [ "SEPAINITSOL", "SEPA.html#SEPAINITSOL", null ],
        [ "SEPAEXITSOL", "SEPA.html#SEPAEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add propagators", "PROP.html", [
      [ "Properties of a Propagator", "PROP.html#PROP_PROPERTIES", [
        [ "Fundamental properties of a propagator", "PROP.html#PROP_FUNDAMENTALPROPERTIES", null ],
        [ "Optional propagator properties", "PROP.html#PROP_ADDITIONALPROPERTIES", null ]
      ] ],
      [ "Propagator Data", "PROP.html#PROP_DATA", null ],
      [ "Interface Methods", "PROP.html#PROP_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Propagator", "PROP.html#PROP_FUNDAMENTALCALLBACKS", [
        [ "PROPEXEC", "PROP.html#PROPEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Propagator", "PROP.html#PROP_ADDITIONALCALLBACKS", [
        [ "PROPRESPROP", "PROP.html#PROPRESPROP", null ],
        [ "PROPFREE", "PROP.html#PROPFREE", null ],
        [ "PROPINIT", "PROP.html#PROPINIT", null ],
        [ "PROPCOPY", "PROP.html#PROPCOPY", null ],
        [ "PROPEXIT", "PROP.html#PROPEXIT", null ],
        [ "PROPINITPRE", "PROP.html#PROPINITPRE", null ],
        [ "PROPEXITPRE", "PROP.html#PROPEXITPRE", null ],
        [ "PROPINITSOL", "PROP.html#PROPINITSOL", null ],
        [ "PROPEXITSOL", "PROP.html#PROPEXITSOL", null ],
        [ "PROPPRESOL", "PROP.html#PROPPRESOL", null ]
      ] ]
    ] ],
    [ "How to add branching rules", "BRANCH.html", [
      [ "Properties of a Branching Rule", "BRANCH.html#BRANCHRULE_PROPERTIES", null ],
      [ "Branching Rule Data", "BRANCH.html#BRANCHRULE_DATA", null ],
      [ "Interface Methods", "BRANCH.html#BRANCHRULE_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Branching Rule", "BRANCH.html#BRANCHRULE_FUNDAMENTALCALLBACKS", null ],
      [ "Additional Callback Methods of a Branching Rule", "BRANCH.html#BRANCHRULE_ADDITIONALCALLBACKS", [
        [ "BRANCHEXECLP", "BRANCH.html#BRANCHEXECLP", null ],
        [ "BRANCHEXECEXT", "BRANCH.html#BRANCHEXECEXT", null ],
        [ "BRANCHEXECPS", "BRANCH.html#BRANCHEXECPS", null ],
        [ "Further information for the three execution methods", "BRANCH.html#BRANCHEXEC", null ],
        [ "BRANCHFREE", "BRANCH.html#BRANCHFREE", null ],
        [ "BRANCHINIT", "BRANCH.html#BRANCHINIT", null ],
        [ "BRANCHCOPY", "BRANCH.html#BRANCHCOPY", null ],
        [ "BRANCHEXIT", "BRANCH.html#BRANCHEXIT", null ],
        [ "BRANCHINITSOL", "BRANCH.html#BRANCHINITSOL", null ],
        [ "BRANCHEXITSOL", "BRANCH.html#BRANCHEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add cut selectors", "CUTSEL.html", [
      [ "Properties of a Cut Selector", "CUTSEL.html#CUTSEL_PROPERTIES", null ],
      [ "Cut Selector Data", "CUTSEL.html#CUTSEL_DATA", null ],
      [ "Interface Methods", "CUTSEL.html#CUTSEL_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Cut Selector", "CUTSEL.html#CUTSEL_FUNDAMENTALCALLBACKS", [
        [ "CUTSELSELECT", "CUTSEL.html#CUTSELSELECT", null ]
      ] ],
      [ "Additional Callback Methods of a Cut Selector", "CUTSEL.html#CUTSEL_ADDITIONALCALLBACKS", [
        [ "CUTSELFREE", "CUTSEL.html#CUTSELFREE", null ],
        [ "CUTSELINIT", "CUTSEL.html#CUTSELINIT", null ],
        [ "CUTSELCOPY", "CUTSEL.html#CUTSELCOPY", null ],
        [ "CUTSELEXIT", "CUTSEL.html#CUTSELEXIT", null ],
        [ "CUTSELINITSOL", "CUTSEL.html#CUTSELINITSOL", null ],
        [ "CUTSELEXITSOL", "CUTSEL.html#CUTSELEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add node selectors", "NODESEL.html", [
      [ "Properties of a Node Selector", "NODESEL.html#NODESEL_PROPERTIES", null ],
      [ "Node Selector Data", "NODESEL.html#NODESEL_DATA", null ],
      [ "Interface Methods", "NODESEL.html#NODESEL_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Node Selector", "NODESEL.html#NODESEL_FUNDAMENTALCALLBACKS", [
        [ "NODESELSELECT", "NODESEL.html#NODESELSELECT", null ],
        [ "NODESELCOMP", "NODESEL.html#NODESELCOMP", null ]
      ] ],
      [ "Additional Callback Methods of a Node Selector", "NODESEL.html#NODESEL_ADDITIONALCALLBACKS", [
        [ "NODESELFREE", "NODESEL.html#NODESELFREE", null ],
        [ "NODESELINIT", "NODESEL.html#NODESELINIT", null ],
        [ "NODESELCOPY", "NODESEL.html#NODESELCOPY", null ],
        [ "NODESELEXIT", "NODESEL.html#NODESELEXIT", null ],
        [ "NODESELINITSOL", "NODESEL.html#NODESELINITSOL", null ],
        [ "NODESELEXITSOL", "NODESEL.html#NODESELEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add primal heuristics", "HEUR.html", [
      [ "Properties of a Primal Heuristic", "HEUR.html#HEUR_PROPERTIES", null ],
      [ "Primal Heuristic Data", "HEUR.html#HEUR_DATA", null ],
      [ "Interface Methods", "HEUR.html#HEUR_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Primal Heuristic", "HEUR.html#HEUR_FUNDAMENTALCALLBACKS", [
        [ "HEUREXEC", "HEUR.html#HEUREXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Primal Heuristic", "HEUR.html#HEUR_ADDITIONALCALLBACKS", [
        [ "HEURFREE", "HEUR.html#HEURFREE", null ],
        [ "HEURINIT", "HEUR.html#HEURINIT", null ],
        [ "HEURCOPY", "HEUR.html#HEURCOPY", null ],
        [ "HEUREXIT", "HEUR.html#HEUREXIT", null ],
        [ "HEURINITSOL", "HEUR.html#HEURINITSOL", null ],
        [ "HEUREXITSOL", "HEUR.html#HEUREXITSOL", null ]
      ] ]
    ] ],
    [ "How to implement a diving heuristic", "DIVINGHEUR.html", [
      [ "User parameters and properties for every diveset", "DIVINGHEUR.html#DIVING_PARAMETERS", null ],
      [ "Fundamental callbacks of a diveset", "DIVINGHEUR.html#DIVING_FUNDAMENTALCALLBACKS", [
        [ "DIVESETGETSCORE", "DIVINGHEUR.html#DIVESETGETSCORE", null ]
      ] ],
      [ "Further information", "DIVINGHEUR.html#DIVING_FURTHERINFO", null ]
    ] ],
    [ "How to add relaxation handlers", "RELAX.html", [
      [ "Properties of a Relaxation Handler", "RELAX.html#RELAX_PROPERTIES", null ],
      [ "Relaxation Handler Data", "RELAX.html#RELAX_DATA", null ],
      [ "Interface Methods", "RELAX.html#RELAX_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Relaxation Handler", "RELAX.html#RELAX_FUNDAMENTALCALLBACKS", [
        [ "RELAXEXEC", "RELAX.html#RELAXEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Relaxation Handler", "RELAX.html#RELAX_ADDITIONALCALLBACKS", [
        [ "RELAXFREE", "RELAX.html#RELAXFREE", null ],
        [ "RELAXINIT", "RELAX.html#RELAXINIT", null ],
        [ "RELAXCOPY", "RELAX.html#RELAXCOPY", null ],
        [ "RELAXEXIT", "RELAX.html#RELAXEXIT", null ],
        [ "RELAXINITSOL", "RELAX.html#RELAXINITSOL", null ],
        [ "REALXEXITSOL", "RELAX.html#REALXEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add file readers", "READER.html", [
      [ "Properties of a File Reader", "READER.html#READER_PROPERTIES", null ],
      [ "File Reader Data", "READER.html#READER_DATA", null ],
      [ "Interface Methods", "READER.html#READER_INTERFACE", null ],
      [ "Fundamental Callback Methods of a File Reader", "READER.html#READER_FUNDAMENTALCALLBACKS", null ],
      [ "Additional Callback Methods of a File Reader", "READER.html#READER_ADDITIONALCALLBACKS", [
        [ "READERREAD", "READER.html#READERREAD", null ],
        [ "READERWRITE", "READER.html#READERWRITE", null ],
        [ "READERCOPY", "READER.html#READERCOPY", null ],
        [ "READERFREE", "READER.html#READERFREE", null ]
      ] ]
    ] ],
    [ "How to add dialogs", "DIALOG.html", [
      [ "Properties of a Dialog", "DIALOG.html#DIALOG_PROPERTIES", null ],
      [ "Dialog Data", "DIALOG.html#DIALOG_DATA", null ],
      [ "Interface Methods", "DIALOG.html#DIALOG_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Dialog", "DIALOG.html#DIALOG_FUNDAMENTALCALLBACKS", [
        [ "DIALOGEXEC", "DIALOG.html#DIALOGEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Dialog", "DIALOG.html#DIALOG_ADDITIONALCALLBACKS", [
        [ "DIALOGFREE", "DIALOG.html#DIALOGFREE", null ],
        [ "DIALOGDESC", "DIALOG.html#DIALOGDESC", null ],
        [ "DIALOGCOPY", "DIALOG.html#DIALOGCOPY", null ]
      ] ]
    ] ],
    [ "How to add display columns", "DISP.html", [
      [ "Properties of a Display Column", "DISP.html#DISP_PROPERTIES", null ],
      [ "Display Column Data", "DISP.html#DISP_DATA", null ],
      [ "Interface Methods", "DISP.html#DISP_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Display Column", "DISP.html#DISP_FUNDAMENTALCALLBACKS", [
        [ "DISPOUTPUT", "DISP.html#DISPOUTPUT", null ]
      ] ],
      [ "Additional Callback Methods of a Display Column", "DISP.html#DISP_ADDITIONALCALLBACKS", [
        [ "DISPCOPY", "DISP.html#DISPCOPY", null ],
        [ "DISPFREE", "DISP.html#DISPFREE", null ],
        [ "DISPINIT", "DISP.html#DISPINIT", null ],
        [ "DISPEXIT", "DISP.html#DISPEXIT", null ],
        [ "DISPINITSOL", "DISP.html#DISPINITSOL", null ],
        [ "DISPEXITSOL", "DISP.html#DISPEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add event handler", "EVENT.html", [
      [ "Properties of a Event Handler", "EVENT.html#EVENTHDLR_PROPERTIES", null ],
      [ "Event Handler Data", "EVENT.html#EVENTHDLR_DATA", null ],
      [ "Interface Methods", "EVENT.html#EVENT_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Event Handler", "EVENT.html#EVENT_FUNDAMENTALCALLBACKS", [
        [ "EVENTEXEC", "EVENT.html#EVENTEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Event Handler", "EVENT.html#EVENT_ADDITIONALCALLBACKS", [
        [ "EVENTCOPY", "EVENT.html#EVENTCOPY", null ],
        [ "EVENTFREE", "EVENT.html#EVENTFREE", null ],
        [ "EVENTINIT", "EVENT.html#EVENTINIT", null ],
        [ "EVENTEXIT", "EVENT.html#EVENTEXIT", null ],
        [ "EVENTINITSOL", "EVENT.html#EVENTINITSOL", null ],
        [ "EVENTEXITSOL", "EVENT.html#EVENTEXITSOL", null ]
      ] ],
      [ "Catching and Dropping Events", "EVENT.html#EVENTUSAGE", null ],
      [ "Event types", "EVENT.html#EVENTTYPES", null ]
    ] ],
    [ "How to add expression handlers", "EXPRHDLR.html", [
      [ "Properties of an Expression Handler", "EXPRHDLR.html#EXPRHDLR_PROPERTIES", null ],
      [ "Expression Handler Data and Expression Data", "EXPRHDLR.html#EXPRHDLR_DATA", null ],
      [ "Interface Methods", "EXPRHDLR.html#EXPRHDLR_INTERFACE", [
        [ "SCIPincludeExprhdlrMyfunc()", "EXPRHDLR.html#EXPRHDLR_INCLUDE", null ],
        [ "SCIPcreateExprMyfunc()", "EXPRHDLR.html#EXPRHDLR_CREATEEXPR", null ]
      ] ],
      [ "Fundamental Callback Methods of an Expression Handler", "EXPRHDLR.html#EXPRHDLR_FUNDAMENTALCALLBACKS", [
        [ "EXPREVAL", "EXPRHDLR.html#EXPREVAL", null ]
      ] ],
      [ "Additional Callback Methods of an Expression Handler", "EXPRHDLR.html#EXPRHDLR_ADDITIONALCALLBACKS", [
        [ "EXPRCOPYHDLR", "EXPRHDLR.html#EXPRCOPYHDLR", null ],
        [ "EXPRFREEHDLR", "EXPRHDLR.html#EXPRFREEHDLR", null ],
        [ "EXPRCOPYDATA", "EXPRHDLR.html#EXPRCOPYDATA", null ],
        [ "EXPRFREEDATA", "EXPRHDLR.html#EXPRFREEDATA", null ],
        [ "EXPRPRINT", "EXPRHDLR.html#EXPRPRINT", null ],
        [ "EXPRPARSE", "EXPRHDLR.html#EXPRPARSE", null ],
        [ "EXPRCURVATURE", "EXPRHDLR.html#EXPRCURVATURE", null ],
        [ "EXPRMONOTONICITY", "EXPRHDLR.html#EXPRMONOTONICITY", null ],
        [ "EXPRINTEGRALITY", "EXPRHDLR.html#EXPRINTEGRALITY", null ],
        [ "EXPRHASH", "EXPRHDLR.html#EXPRHASH", null ],
        [ "EXPRCOMPARE", "EXPRHDLR.html#EXPRCOMPARE", null ],
        [ "EXPRBWDIFF", "EXPRHDLR.html#EXPRBWDIFF", null ],
        [ "EXPRFWDIFF", "EXPRHDLR.html#EXPRFWDIFF", null ],
        [ "EXPRBWFWDIFF", "EXPRHDLR.html#EXPRBWFWDIFF", null ],
        [ "EXPRINTEVAL", "EXPRHDLR.html#EXPRINTEVAL", null ],
        [ "EXPRESTIMATE", "EXPRHDLR.html#EXPRESTIMATE", null ],
        [ "EXPRINITESTIMATES", "EXPRHDLR.html#EXPRINITESTIMATES", null ],
        [ "EXPRSIMPLIFY", "EXPRHDLR.html#EXPRSIMPLIFY", null ],
        [ "EXPRREVERSEPROP", "EXPRHDLR.html#EXPRREVERSEPROP", null ]
      ] ]
    ] ],
    [ "How to add nonlinear handlers", "NLHDLR.html", [
      [ "Properties of a Nonlinear Handler", "NLHDLR.html#NLHDLR_PROPERTIES", null ],
      [ "Nonlinear Handler Data and Nonlinear Handler Expression Data", "NLHDLR.html#NLHDLR_DATA", null ],
      [ "Interface Methods", "NLHDLR.html#NLHDLR_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Nonlinear Handler", "NLHDLR.html#NLHDLR_FUNDAMENTALCALLBACKS", [
        [ "NLHDLRDETECT", "NLHDLR.html#NLHDLRDETECT", null ],
        [ "NLHDLREVALAUX", "NLHDLR.html#NLHDLREVALAUX", null ]
      ] ],
      [ "Additional Callback Methods of a Nonlinear Handler", "NLHDLR.html#NLHDLR_ADDITIONALCALLBACKS", [
        [ "NLHDLRCOPYHDLR", "NLHDLR.html#NLHDLRCOPYHDLR", null ],
        [ "NLHDLRFREEHDLRDATA", "NLHDLR.html#NLHDLRFREEHDLRDATA", null ],
        [ "NLHDLRFREEEXPRDATA", "NLHDLR.html#NLHDLRFREEEXPRDATA", null ],
        [ "NLHDLRINIT", "NLHDLR.html#NLHDLRINIT", null ],
        [ "NLHDLREXIT", "NLHDLR.html#NLHDLREXIT", null ],
        [ "NLHDLRINTEVAL", "NLHDLR.html#NLHDLRINTEVAL", null ],
        [ "NLHDLRREVERSEPROP", "NLHDLR.html#NLHDLRREVERSEPROP", null ],
        [ "NLHDLRINITSEPA", "NLHDLR.html#NLHDLRINITSEPA", null ],
        [ "NLHDLREXITSEPA", "NLHDLR.html#NLHDLREXITSEPA", null ],
        [ "NLHDLRENFO", "NLHDLR.html#NLHDLRENFO", null ],
        [ "NLHDLRESTIMATE", "NLHDLR.html#NLHDLRESTIMATE", null ]
      ] ]
    ] ],
    [ "How to add interfaces to nonlinear programming solvers", "NLPI.html", [
      [ "Properties of an NLPI", "NLPI.html#NLPI_PROPERTIES", null ],
      [ "NLPI Data", "NLPI.html#NLPI_DATA", null ],
      [ "Interface Methods", "NLPI.html#NLPI_INTERFACE", null ],
      [ "Fundamental Callback Methods of an NLPI", "NLPI.html#NLPI_FUNDAMENTALCALLBACKS", [
        [ "NLPIFREE", "NLPI.html#NLPIFREE", null ],
        [ "NLPICREATEPROBLEM", "NLPI.html#NLPICREATEPROBLEM", null ],
        [ "NLPIFREEPROBLEM", "NLPI.html#NLPIFREEPROBLEM", null ],
        [ "NLPIADDVARS", "NLPI.html#NLPIADDVARS", null ],
        [ "NLPIADDCONSTRAINTS", "NLPI.html#NLPIADDCONSTRAINTS", null ],
        [ "NLPISETOBJECTIVE", "NLPI.html#NLPISETOBJECTIVE", null ],
        [ "NLPICHGVARBOUNDS", "NLPI.html#NLPICHGVARBOUNDS", null ],
        [ "NLPICHGCONSSIDES", "NLPI.html#NLPICHGCONSSIDES", null ],
        [ "NLPIDELVARSET", "NLPI.html#NLPIDELVARSET", null ],
        [ "NLPIDELCONSSET", "NLPI.html#NLPIDELCONSSET", null ],
        [ "NLPICHGLINEARCOEFS", "NLPI.html#NLPICHGLINEARCOEFS", null ],
        [ "NLPICHGEXPR", "NLPI.html#NLPICHGEXPR", null ],
        [ "NLPICHGOBJCONSTANT", "NLPI.html#NLPICHGOBJCONSTANT", null ],
        [ "NLPISOLVE", "NLPI.html#NLPISOLVE", null ],
        [ "NLPIGETSOLSTAT", "NLPI.html#NLPIGETSOLSTAT", null ],
        [ "NLPIGETTERMSTAT", "NLPI.html#NLPIGETTERMSTAT", null ],
        [ "NLPIGETSOLUTION", "NLPI.html#NLPIGETSOLUTION", null ],
        [ "NLPIGETSTATISTICS", "NLPI.html#NLPIGETSTATISTICS", null ]
      ] ],
      [ "Additional Callback Methods of an NLPI", "NLPI.html#NLPI_ADDITIONALCALLBACKS", [
        [ "NLPICOPY", "NLPI.html#NLPICOPY", null ],
        [ "NLPIGETSOLVERPOINTER", "NLPI.html#NLPIGETSOLVERPOINTER", null ],
        [ "NLPIGETPROBLEMPOINTER", "NLPI.html#NLPIGETPROBLEMPOINTER", null ],
        [ "NLPISETINITIALGUESS", "NLPI.html#NLPISETINITIALGUESS", null ]
      ] ]
    ] ],
    [ "How to add interfaces to expression interpreters", "EXPRINT.html", [
      [ "Expression Interpreter Data", "EXPRINT.html#EXPRINT_DATA", null ],
      [ "Interface Methods", "EXPRINT.html#EXPRINT_INTERFACE", [
        [ "SCIPexprintGetName", "EXPRINT.html#SCIPexprintGetName", null ],
        [ "SCIPexprintGetDesc", "EXPRINT.html#SCIPexprintGetDesc", null ],
        [ "SCIPexprintGetCapability", "EXPRINT.html#SCIPexprintGetCapability", null ],
        [ "SCIPexprintCreate", "EXPRINT.html#SCIPexprintCreate", null ],
        [ "SCIPexprintFree", "EXPRINT.html#SCIPexprintFree", null ],
        [ "SCIPexprintCompile", "EXPRINT.html#SCIPexprintCompile", null ],
        [ "SCIPexprintFreeData", "EXPRINT.html#SCIPexprintFreeData", null ],
        [ "SCIPexprintGetExprCapability", "EXPRINT.html#SCIPexprintGetExprCapability", null ],
        [ "SCIPexprintEval", "EXPRINT.html#SCIPexprintEval", null ],
        [ "SCIPexprintGrad", "EXPRINT.html#SCIPexprintGrad", null ],
        [ "SCIPexprintHessianSparsity", "EXPRINT.html#SCIPexprintHessianSparsity", null ],
        [ "SCIPexprintHessian", "EXPRINT.html#SCIPexprintHessian", null ]
      ] ]
    ] ],
    [ "How to add additional user parameters", "PARAM.html", null ],
    [ "How to add statistics tables", "TABLE.html", [
      [ "Properties of a Statistics Table", "TABLE.html#TABLE_PROPERTIES", null ],
      [ "Statistics Table Data", "TABLE.html#TABLE_DATA", null ],
      [ "Interface Methods", "TABLE.html#TABLE_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Statistics Table", "TABLE.html#TABLE_FUNDAMENTALCALLBACKS", [
        [ "TABLEOUTPUT", "TABLE.html#TABLEOUTPUT", null ]
      ] ],
      [ "Additional Callback Methods of a Statistics Table", "TABLE.html#TABLE_ADDITIONALCALLBACKS", [
        [ "TABLECOPY", "TABLE.html#TABLECOPY", null ],
        [ "TABLEFREE", "TABLE.html#TABLEFREE", null ],
        [ "TABLEINIT", "TABLE.html#TABLEINIT", null ],
        [ "TABLEEXIT", "TABLE.html#TABLEEXIT", null ],
        [ "TABLEINITSOL", "TABLE.html#TABLEINITSOL", null ],
        [ "TABLEEXITSOL", "TABLE.html#TABLEEXITSOL", null ]
      ] ]
    ] ],
    [ "How to add custom Benders' decomposition implementations", "BENDER.html", [
      [ "Properties of a Benders' decomposition", "BENDER.html#BENDERS_PROPERTIES", null ],
      [ "Benders' decomposition Data", "BENDER.html#BENDERS_DATA", null ],
      [ "Interface Methods", "BENDER.html#BENDERS_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Benders' decomposition", "BENDER.html#BENDERS_FUNDAMENTALCALLBACKS", [
        [ "BENDERSGETVAR", "BENDER.html#BENDERSGETVAR", null ],
        [ "BENDERSCREATESUB", "BENDER.html#BENDERSCREATESUB", null ]
      ] ],
      [ "Additional Callback Methods of a Benders' decomposition implementation", "BENDER.html#BENDERS_ADDITIONALCALLBACKS", [
        [ "BENDERSFREE", "BENDER.html#BENDERSFREE", null ],
        [ "BENDERSCOPY", "BENDER.html#BENDERSCOPY", null ],
        [ "BENDERSINIT", "BENDER.html#BENDERSINIT", null ],
        [ "BENDERSEXIT", "BENDER.html#BENDERSEXIT", null ],
        [ "BENDERSINITPRE", "BENDER.html#BENDERSINITPRE", null ],
        [ "BENDERSEXITPRE", "BENDER.html#BENDERSEXITPRE", null ],
        [ "BENDERSINITSOL", "BENDER.html#BENDERSINITSOL", null ],
        [ "BENDERSEXITSOL", "BENDER.html#BENDERSEXITSOL", null ],
        [ "BENDERSPRESUBSOLVE", "BENDER.html#BENDERSPRESUBSOLVE", null ],
        [ "BENDERSSOLVESUBCONVEX", "BENDER.html#BENDERSSOLVESUBCONVEX", null ],
        [ "BENDERSSOLVESUB", "BENDER.html#BENDERSSOLVESUB", null ],
        [ "BENDERSPOSTSOLVE", "BENDER.html#BENDERSPOSTSOLVE", null ],
        [ "BENDERSFREESUB", "BENDER.html#BENDERSFREESUB", null ]
      ] ]
    ] ],
    [ "How to add custom Benders' decomposition cut generation methods", "BENDERSCUT.html", [
      [ "Properties of a Benders' decomposition", "BENDERSCUT.html#BENDERSCUT_PROPERTIES", null ],
      [ "Benders' decomposition Data", "BENDERSCUT.html#BENDERSCUT_DATA", null ],
      [ "Interface Methods", "BENDERSCUT.html#BENDERSCUT_INTERFACE", null ],
      [ "Fundamental Callback Methods of a Benders' decomposition cut method", "BENDERSCUT.html#BENDERSCUT_FUNDAMENTALCALLBACKS", [
        [ "BENDERSCUTEXEC", "BENDERSCUT.html#BENDERSCUTEXEC", null ]
      ] ],
      [ "Additional Callback Methods of a Separator", "BENDERSCUT.html#BENDERSCUT_ADDITIONALCALLBACKS", [
        [ "BENDERSCUTFREE", "BENDERSCUT.html#BENDERSCUTFREE", null ],
        [ "BENDERSCUTCOPY", "BENDERSCUT.html#BENDERSCUTCOPY", null ],
        [ "BENDERSCUTINIT", "BENDERSCUT.html#BENDERSCUTINIT", null ],
        [ "BENDERSCUTEXIT", "BENDERSCUT.html#BENDERSCUTEXIT", null ],
        [ "BENDERSCUTINITSOL", "BENDERSCUT.html#BENDERSCUTINITSOL", null ],
        [ "BENDERSCUTEXITSOL", "BENDERSCUT.html#BENDERSCUTEXITSOL", null ]
      ] ]
    ] ]
];