var index =
[
    [ "What is SCIP?", "index.html#WHATISSCIP", null ],
    [ "Structure of this manual", "index.html#TABLEOFCONTENTS", null ],
    [ "Quickstart", "index.html#QUICKSTART", null ],
    [ "Installing SCIP", "INSTALL.html", "INSTALL" ],
    [ "Frequently Asked Questions (FAQ)", "FAQ.html", null ],
    [ "Release notes and changes between different versions of SCIP", "CHG.html", "CHG" ],
    [ "First Steps Walkthrough", "GETTINGSTARTED.html", [
      [ "Use SCIP to solve a problem", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX", [
        [ "Why SCIP?", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX_WHY", null ],
        [ "What Kinds Of Problems?", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX_PROBLEMS", null ],
        [ "Setup", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX_INSTALL", null ],
        [ "Solve A First Problem", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX_SOLVE", null ],
        [ "Getting Help", "GETTINGSTARTED.html#GETTINGSTARTED_BLACKBOX_HELP", null ]
      ] ],
      [ "Develop A Custom Plugin", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP", [
        [ "Prerequisites And Setup", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP_PREREQUISITES", null ],
        [ "Getting help", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP_HELP", null ],
        [ "Writing An Example", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP_EXAMPLE", null ],
        [ "Writing A Plugin", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP_CONSTRAINTHANDLER", null ],
        [ "Using Functionality In A Plugin", "GETTINGSTARTED.html#GETTINGSTARTED_DEVELOP_REOPTMIZATION", null ]
      ] ]
    ] ],
    [ "Tutorial: the interactive shell", "SHELL.html", [
      [ "Read and optimize a problem instance", "SHELL.html#TUTORIAL_OPTIMIZE", [
        [ "\"Prerequisites\"", "SHELL.html#SHELL_PREREQUISITES", null ],
        [ "\"After installation\"", "SHELL.html#SHELL_AFTERINSTALL", null ]
      ] ],
      [ "Writing problems and solutions to a file", "SHELL.html#TUTORIAL_FILEIO", null ],
      [ "Displaying detailed solving statistics", "SHELL.html#TUTORIAL_STATISTICS", null ],
      [ "Changing parameters from the interactive shell", "SHELL.html#TUTORIAL_PARAMETERS", null ]
    ] ],
    [ "Programming with SCIP", "PROGRAMMING.html", "PROGRAMMING" ],
    [ "How to start a new project", "START.html", [
      [ "Choose an example project", "START.html#START_CHOICE", null ],
      [ "Building with CMake", "START.html#START_CMAKE", null ],
      [ "Building with the Makefile system", "START.html#START_MAKE", null ]
    ] ],
    [ "How to search the documentation for interface methods", "DOC.html", null ],
    [ "How to add ...", "HOWTOADD.html", "HOWTOADD" ],
    [ "How to use ...", "HOWTOUSESECTION.html", "HOWTOUSESECTION" ],
    [ "Example projects", "EXAMPLES.html", "EXAMPLES" ],
    [ "Application projects", "APPLICATIONS.html", "APPLICATIONS" ],
    [ "What types of optimization problems does SCIP solve?", "WHATPROBLEMS.html", [
      [ "Some important subclasses of CIP and MINLP", "WHATPROBLEMS.html#PROBLEMCLASSES", null ]
    ] ],
    [ "Interfaces", "INTERFACES.html", [
      [ "File formats", "INTERFACES.html#FILEFORMATS", null ],
      [ "C API", "INTERFACES.html#C_API", null ],
      [ "C++ wrapper classes", "INTERFACES.html#CPLUSPLUS", null ],
      [ "Interfaces for other programming languages", "INTERFACES.html#SCIPINTERFACES", null ],
      [ "Modeling languages", "INTERFACES.html#MODELLING", null ]
    ] ],
    [ "List of all SCIP parameters", "PARAMETERS.html", null ],
    [ "SCIP Authors", "AUTHORS.html", null ],
    [ "License", "LICENSE.html", null ],
    [ "Links to external documentation", "EXTERNALDOC.html", null ]
];